# SeekSlider Class Reference

### [com.trolltech.qt.phonon package]

Inherits QWidget.

### Constructor

- void SeekSlider(MediaObject media, QWidget parent)
- void SeekSlider(QWidget parent)

### Constructor Properties

- prototype: The SeekSlider prototype object

### Prototype Object Properties

The SeekSlider prototype object inherits properties from the QWidget prototype object and also has the following properties.

- MediaObject mediaObject()

### Instance Properties

SeekSlider objects inherit properties from the SeekSlider prototype object and also have the following properties.

- iconVisible
- tracking
- pageStep
- singleStep
- orientation
- iconSize